package au.id.rupert.chauffeurs_name_board;

// Save name as a preference
// Turning this into a Big Button to replace au.id.rupert.chauffeurs_name_board
// Used code from http://stackoverflow.com/questions/6054918/keyevent-keycode-enter-how-to-raise to catch the done key press
// I had to remove android:imeOptions="actionDone" from the screen2.xml file

// Need to draw the screen programatcliy to have 1 or 2 lines depending on number entered

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.SystemClock;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnKeyListener;
import android.widget.EditText;
import android.widget.Toast;
import android.content.SharedPreferences;
import android.content.pm.ActivityInfo;

public class Configuration extends Activity {
    /** Called when the activity is first created. */
	
	// set up SharedPreferences
    private SharedPreferences prefs;
    private static final String NAME_KEY1 = "strName1";
    private static final String NAME_KEY2 = "strName2";
    private String prefName = "MyPref";
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.screen2);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE);

        // *** Start of Line 2
        // To catch the done button I had to remove 		    		
        // android:imeOptions="actionDone" 
        // from the screen2.xml file
        EditText editText2 = (EditText) findViewById(R.id.client_Name2);
        editText2.setOnKeyListener(new OnKeyListener() {

            public boolean onKey(View v, int keyCode, KeyEvent event) {

                switch(keyCode) {
                case KeyEvent.KEYCODE_ENTER:
                
                // Done button pressed
                // Toast.makeText(getApplicationContext(), "It thinks Done was pressed", Toast.LENGTH_LONG).show();
                //---get the SharedPreferences object---
				prefs = getSharedPreferences(prefName, MODE_PRIVATE);
            	SharedPreferences.Editor editor = prefs.edit();
            	
				// Save values when the close button is pressed
            	EditText strName1 = (EditText) findViewById(R.id.client_Name1);
                EditText strName2 = (EditText) findViewById(R.id.client_Name2);
             
                //---save the values of the top line EditText view to preferences---    
                editor.putString(NAME_KEY1, strName1.getText().toString());
                editor.putString(NAME_KEY2, strName2.getText().toString());

                //---saves the values---
                editor.commit();       
              
                //Closing SecondScreen Activity
				finish();

              break;
          default:
          return false;
          }

    return true;
    }
    });
    //*** end of line 2
        
        
        // Read the stored preferences
        EditText strName1 = (EditText) findViewById(R.id.client_Name1);
        EditText strName2 = (EditText) findViewById(R.id.client_Name2);
        
        // Simulate screen press on ExitText1 to bring up a soft keyboard
        // http://stackoverflow.com/questions/5105354/how-to-show-soft-keyboard-when-edittext-is-focused
        (new Handler()).postDelayed(new Runnable() {

            public void run() {
                EditText yourEditText= (EditText) findViewById(R.id.client_Name1);
                yourEditText.dispatchTouchEvent(MotionEvent.obtain(SystemClock.uptimeMillis(), SystemClock.uptimeMillis(), MotionEvent.ACTION_DOWN , 0, 0, 0));
                yourEditText.dispatchTouchEvent(MotionEvent.obtain(SystemClock.uptimeMillis(), SystemClock.uptimeMillis(), MotionEvent.ACTION_UP , 0, 0, 0));                       
            }
        }, 200);

        
        prefs = getSharedPreferences(prefName, MODE_PRIVATE);
        
        // Restore the saved strName strings
        strName1.setText(prefs.getString(NAME_KEY1, ""));
        strName2.setText(prefs.getString(NAME_KEY2, ""));
    }
}
